@import "../../../../../assets//css/constants.scss";

.container-fluid {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: 0;
  ul {
    list-style: none;
    display: flex;
    padding: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0;
    color: inherit;
    font-size: 15px;
    li {
      padding: 0 5px;
      text-align: center;
      a {
        color: inherit;
        &:hover {
          color: inherit;
          text-decoration: none;
        }
      }
    }
  }
  .login,
  .register {
    height: 38px;
    width: 85px;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px;
  }
  .login {
    background: $PRIMARY_WHITE;
    position: relative;
    box-shadow: 0 2px 1px -2px rgba(0, 0, 0, 0.2),
      0 2px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0);
    button {
      color: $PRIMARY_BLACK;
      font-size: 10px;
      background: transparent;
      border: transparent;
      outline: transparent;
      height: 100%;
    }
  }
  .register {
    background: $SANED_BTN_PRIMARY;
    button {
      color: $PRIMARY_WHITE;
      font-size: 11px;
      background: transparent;
      border: transparent;
      outline: transparent;
      height: 100%;
      width: 100%;
    }
  }
  .change-lang {
    color: inherit;
    font-size: 12px;
    display: flex;
    padding-left: 10%;
  }
}
.account-container {
  position: relative;
  // a {
  //   color: $PRIMARY_WHITE !important;
  // }
  .account-overlay {
    width: 150px;
    display: none;
    border-radius: 5px;
    position: absolute;
    background-color: $PRIMARY_WHITE;
    color: $SANED_PRIMARY-COLOR;
    padding: 10px;
    font-size: 16px;
    right: -8px;
    z-index: 9999;
    span {
      font-size: 14px;
      cursor: pointer;
      outline: none;
      padding: 5px 0;
    }
  }
  &:hover .account-overlay {
    display: flex;
    flex-direction: column;
  }
}
.overlay-login {
  display: none;
  border-radius: 20px;
  width: 300px;
  box-shadow: 0 3px 36px rgba(0, 0, 0, 0.09);
  position: absolute;
  top: 36px;
  right: -144%;
  margin: 15px;
  .arrow-up {
    width: 0;
    height: 0;
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    border-bottom: 15px solid #f7f7f7;
    position: absolute;
    top: -14px;
    z-index: 9999;
    right: 44%;
  }
  .login-container {
    min-height: auto !important;
    border-radius: 10px;
    border-radius: 10px;
    width: 300px;
    .login-us-form {
      width: 100%;
      padding: 25px;
      min-height: 200px;
      button {
        font-size: 13px;
      }
      .submit-btn {
        width: 100px;
      }
      .reg-btn-group {
        button {
          height: 35px;
          width: 126px;
          &:first-of-type {
            width: 85px;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .vertical-list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: $PRIMARY_WHITE;
    a {
      padding: 0;
      white-space: nowrap;
      color: $PRIMARY_WHITE !important;
    }
  }
  .change-lang {
    display: none !important;
    color: $PRIMARY_WHITE;
  }
}
